Package org.apache.sysds.runtime.meta

# Class MetaData

java.lang.Object
org.apache.sysds.runtime.meta.MetaData

Direct Known Subclasses:
  `MetaDataFormat`

public class MetaData extends Object
Class to store metadata associated with a file (e.g., a matrix) on disk.

## Constructor Summary

Constructors
Constructor
Description
`MetaData()`
`MetaData(DataCharacteristics dc)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`clone()`
`boolean`
`equals(Object anObject)`
`DataCharacteristics`
`getDataCharacteristics()`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MetaData

public MetaData()

### MetaData

public MetaData(DataCharacteristics dc)

## Method Details

### getDataCharacteristics

public DataCharacteristics getDataCharacteristics()

### equals

public boolean equals(Object anObject)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### clone

public Object clone()